<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.2/dist/css/bootstrap.min.css" rel="stylesheet"
        integrity="sha384-T3c6CoIi6uLrA9TneNEoa7RxnatzjcDSCmG1MXxSR1GAsXEV/Dwwykc2MPK8M2HN" crossorigin="anonymous">
    <link rel="stylesheet" href="assets/css/style.css">
    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>
</head>

<body>
    <div id="wrapper">
        <div id="loader">
            <div class="loader"></div>
        </div>
        <div class="container-fluid">
            <div class="row p-2">
                <nav class="col-md-2 sidebar" id="sidebar">
                    <img id="dekstop-brand" width="40%" src="assets/img/logoth.png">
                    <div class="search-box" id="navbar-search">
                        <input type="text" class="form-control" placeholder="Search...">
                    </div>
                    <ul class="list-unstyled" id="navbar-list">
                        <li>
                            <a href="">
                                <img src="assets/img/dashboard.png" id="icon-nav" alt=""> Dashboard
                            </a>
                        </li>
                        <li>
                            <a href="task.html">
                                <img src="assets/img/task.png" id="icon-nav" alt=""> Tasks
                            </a>
                        </li>
                        <li>
                            <a href="#">
                                <img src="assets/img/project.png" id="icon-nav" alt=""> Projekte
                            </a>
                        </li>
                        <li>
                            <a href="#">
                                <img src="assets/img/Profile.png" id="icon-nav" alt=""> Users
                            </a>
                        </li>
                       <!-- <li>
                            <a href="#">
                                <img src="assets/img/settings.png" id="icon-nav" alt=""> Settings
                            </a>
                        </li>-->
                    </ul>
                    <img id="navbar-mobile-logo" src="assets/img/logoth.png">
                    <ul class="list-unstyled" id="navbar-list-mobile">
                        <li>
                            <a href="index.html">
                                <img src="assets/img/dashboard.png" id="icon-nav" alt="">
                            </a>
                        </li>
                        <li>
                            <a href="task.html">
                                <img src="assets/img/task.png" id="icon-nav" alt="">
                            </a>
                        </li>
                        <li>
                            <a href="#">
                                <img src="assets/img/project.png" id="icon-nav" alt="">
                            </a>
                        </li>
                        <li>
                            <a href="#">
                                <img src="assets/img/Profile.png" id="icon-nav" alt="">
                            </a>
                        </li>
                     <!--   <li>
                            <a href="#">
                                <img src="assets/img/settings.png" id="icon-nav" alt="">
                            </a>
                        </li>-->
                    </ul>
                </nav>



                <!-- Main Content -->
                <main class="col-md-10 content">
                    <button type="button" class="btn btn-dark" id="sidebar-btn">--></button>
                    <br>
                    <br>
                    <div class="container-fluid mt-10">
                        <div class="row align-items-center">
                            <div class="col-md-12">
                                <div class="card">
                                    <div class="row no-gutters">
                                        <div class="col-md-2">
                                            <img src="assets/img/user.png" class="card-img img-fluid"
                                                style="max-width: 65%;" alt="Bild">
                                        </div>
                                        <div class="col-md-5">
                                            <div class="card-body">
                                                <h5 class="card-title" id="profile-username">Tristan Hein</h5>
                                                <p class="card-text" id="profile-email">test@email.com</p>
                                            </div>
                                        </div>
                                        <div class="col-md-5 d-flex justify-content-end align-items-center"
                                            id="profile-buttons">
                                            <a href="task.html"><button type="button" id="profile-button-one"
                                                    class="btn btn-primary mr-2"> See all Tasks</button></a>
                                            <button type="button" id="profile-button-second"
                                                class="btn btn-dark">Logout</button>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="container mt-4 lg-10">
                        <div class="row">
                            <div class="col-md-3">
                                <div class="card">
                                    <div class="card-body">
                                        <p class="card-title">
                                            <img src="assets/img/completed.png" width="10%" alt=""> Completed Task
                                        </p>
                                        <h4 class="card-text" id="count-deleted">0</h4>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-3">
                                <div class="card">
                                    <div class="card-body">
                                        <p class="card-title">
                                            <img src="assets/img/opentask.png" width="10%" alt=""> Open Tasks
                                        </p>
                                        <h4 id="count" class="card-text">0</h4>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-3">
                                <div class="card">
                                    <div class="card-body">
                                        <p class="card-title">
                                            <img src="assets/img/categories.png" width="10%" alt=""> Pending Task
                                        </p>
                                        <h4 class="card-text" id="count-categorie">0</h4>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-3">
                                <div class="card">
                                    <div class="card-body">
                                        <p class="card-title">
                                            <img src="assets/img/watch.png" width="10%" alt=""><span id="time-app">Time
                                                in App</span>
                                        </p>
                                        <div id="display">00:00:00</div>
                                        <a href="#" class="btn btn-danger" id="startStopBtn">Start</a>
                                        <a href="#" id="resetBtn" class="btn btn-success">Reset</a>
                                        <!--<h4 class="card-text">32.4h</h4>-->
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>

                    <div class="container mt-4">
                        <div class="row">
                            <div class="col-md-6">
                                <div class="card" id="card-bg-first">
                                    <div class="card-body p-4" id="test-card">
                                        <h5 class="card-title" id="username-card">Welcome back</h5>
                                        <!--   <img src="assets/img/loader.gif" id="loader" style="display: none;" alt="">
                                          <div class="all-task-btn">
                                            <button id="btn-tasks" class="btn btn-primary ml-auto">See Tasks</button>
                                        </div>-->
                                        <p class="card-text" id="card-username"> Tristan
                                        <ul class="list-unstyled" id="list-task" style="display: none;">
                                        </ul>
                                        </p>
                                    </div>
                                </div>
                            </div>

                            <div class="col-md-6">
                                <div class="card" id="card-bg">
                                    <div class="card-body">
                                        <h5 class="card-title">Progress:</h5>
                                        <canvas id="myChart" width="5%"></canvas>
                                    </div>
                                </div>
                            </div>

                            <div class="container-fluid mt-4" style="display: none;">
                                <div class="text">
                                    <h4>All Tasks:</h4>
                                </div>
                                <div class="row">
                                    <div class="col-md-12">
                                        <p></p>
                                        <div class="card" id="editTask">
                                            <div class="card-body text-center p-4">
                                                <div class="container">
                                                    <div class="row">
                                                        <div class="col-md-3">
                                                            <p>Task</p>
                                                        </div>
                                                        <div class="col-md-3">
                                                            <p>Category</p>
                                                        </div>
                                                        <div class="col-md-3">
                                                            <p>Status</p>
                                                        </div>
                                                        <div class="col-md-3">
                                                            <p>Time</p>
                                                        </div>
                                                    </div>
                                                    <hr>
                                                    <div class="liste-task">
                                                        <div class="row">
                                                            <div class="col-md-3">
                                                                <ul class="list-group" id="list-task-second">
                                                                </ul>
                                                            </div>
                                                            <div class="col-md-3">
                                                                <ul class="list-group" id="list-task-category">
                                                                </ul>
                                                            </div>
                                                            <div class="col-md-3">
                                                                <ul class="list-group" id="list-task-status">
                                                                </ul>
                                                            </div>
                                                            <div class="col-md-3">
                                                                <ul class="list-group" id="list-task-time">
                                                                </ul>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div class="container-fluid mt-4">
                                <div class="text">
                                    <h4>Kategorie hinzufügen</h4>
                                </div>
                                <div class="row">
                                    <div class="col-md-12">
                                        <div class="card" id="addTask">
                                            <div class="card-body text-center p-4">
                                                <img src="assets/img/plus.png" id="card-icon" width="5%">
                                            </div>
                                        </div>
                                    </div>
                                </div>
                            </div>

                            <div id="modal" class="modal-container">
                                <div class="modal-content">
                                    <span id="close-btn">close</span>
                                    <form>
                                        <div class="mb-3" style="display: none;">
                                            <label class="form-label">New Task</label>
                                            <input type="text" class="form-control" id="newTask"
                                                placeholder="Task hinzufügen ...">
                                        </div>
                                        <div class="mb-3" style="display: none;">
                                            <label class="form-label">Select Category</label>
                                            <select id="info-select-category" class="form-select">
                                                <option>Category 1</option>
                                                <option>Category 2</option>
                                                <option>Category 3</option>
                                            </select>
                                        </div>
                                        <div class="mb-3" style="display: none;">
                                            <label class="form-label">Status</label><br>
                                            <select id="info-select-status" class="form-control">
                                                <option>Kein Eintrag ...</option>
                                            </select>
                                        </div>
                                        <button id="btn-add-task" style="display: none;" class="btn btn-primary">Absenden</button>
                                        <br>
                                        <br>
                                        <div class="mb-3">
                                            <h2>Add New Category</h2>
                                            <label class="form-label">Neue Kategorie</label>
                                            <input type="text" class="form-control" id="newCategory"
                                                placeholder="Neue Kategorie ...">
                                            <br>
                                            <button id="btn-add-cat" class="btn btn-primary">Absenden</button>
                                        </div>
                                    </form>
                                    <br>
                                    <div id="status-task"></div>
                                </div>
                            </div>
                            <div id="showTimeModal" style="display: none;"></div>

                </main>

            </div>


            <script src="assets/js/taskPage.js"></script>
            <script src="assets/js/pluggins.js"></script>
            <!-- <script src="assets/js/chart.js"></script>-->
            <script src="assets/js/timer.js"></script>
            <script src="assets/js/clickHandler.js"></script>



</body>

</html>